%global momorel 2
%global scimver 1.2.1
%global scimrel 1m
%global qtver 3.3.4
%global kdever 3.4.0
%global qtdir %{_libdir}/qt-%{qtver}
%global kdedir /usr

Summary: Input method platform for KDE
Name: skim
Version: 1.2.2
Release: %{momorel}m
License: GPL
URL: http://www.scim-im.org/projects/skim
Group: User Interface/X
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.bz2 2ee02b5d18276637b7db1df0ec7cf1ae
Source1: skimrc
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}, scim >= %{scimver}-%{scimrel}
BuildPreReq: qt-devel = %{qtver}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}
BuildPreReq: scim-devel >= %{scimver}, xorg-x11-devel
BuildPreReq: zlib-devel, libjpeg-devel, libpng-devel, desktop-file-utils

%description
Skim is an input method platform based upon scim-lib for KDE.
It provides a GUI panel (named scim-panel-kde), a KConfig config module and
SetupUIs for itself and scim-lib.
It also has its own plugin systems which support on-demand loadable actions.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install skimrc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config/

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Settings \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/skim.desktop

# remove doc/HTML/skim
rm -rf %{buildroot}%{_datadir}/doc/HTML/skim

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/scim-panel-kde
%{_bindir}/skim
%{_includedir}/skim
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/scim-1.0/1.2.0/Config/kconfig.la
%{_libdir}/scim-1.0/1.2.0/Config/kconfig.so
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/skim.desktop
%{_datadir}/apps/skim
%{_datadir}/autostart/skim.desktop
%{_datadir}/config/skimrc
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/*/skim
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/apps/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/skimconfiguredialog
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop

%changelog
* Sun Apr 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- remove %%{_docdir}/HTML/skim

* Tue Mar 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- version 1.2.2 (bug fix release)

* Thu Mar 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-1m)
- version 1.2.1 (major bug fix release)
  Workaround for issues in Qt 3.3.4 qtimm patch
- Requires: scim >= 1.2.1-1m

* Thu Mar 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-2m)
- add Source1: skimrc
- Requires: scim >= 1.2.0-3m

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-1m)
- initial package for Momonga Linux
- import %%description from UT Extra Packages for Mandrake

* Tue Mar 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-2ut
- new release
- remove unnecessary files

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 1.1.0-1ut
- new release
- spec cleanup
- change URL

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-2mdk
- rpmlint fixes

* Thu Sep 09 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Fri Sep 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-2mdk
- skim needs *.la for plugins
- fix requires (skim won't work w/o scim)
- disable rpath

* Sun Aug 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-1mdk
- fix file list
- fix description & summary
- fix a few rpmlint warnings
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
